Loading...
Searching...
No Matches
etl::queue_lockable_base< VMemory_Model > Class Template Referenceabstract

## Public Types

typedef etl::size_type_lookup< VMemory_Model >::type | size_type
| The type used for determining the size of queue.

## Public Member Functions

virtual | ~queue_lockable_base ()
| Destructor.
size_type | available_unlocked () const
size_type | available () const
| How much free space available in the queue.
bool | empty_unlocked () const
bool | empty () const
| Is the queue empty?
bool | full_unlocked () const
bool | full () const
| Is the queue full?
size_type | size_unlocked () const
size_type | size () const
| How many items in the queue?
size_type | capacity () const
| How many items can the queue hold.
size_type | max_size () const
| How many items can the queue hold.

## Protected Member Functions

| queue_lockable_base (size_type max_size_)
virtual void | lock () const =0
| The pure virtual lock and unlock functions.
virtual void | unlock () const =0

## Static Protected Member Functions

static size_type | get_next_index (size_type index, size_type maximum)
| Calculate the next index.

## Protected Attributes

size_type | write_index
| Where to input new data.
size_type | read_index
| Where to get the oldest data.
size_type | current_size
| The current size of the queue.
const size_type | Max_Size
| The maximum number of items in the queue.

## Member Function Documentation

## available_unlocked()

template<size_t VMemory_Model = etl::memory_model::MEMORY_MODEL_LARGE>

size_type etl::queue_lockable_base< VMemory_Model >::available_unlocked | ( |  | ) | const

inline

How much free space available in the queue. Unlocked

## empty_unlocked()

template<size_t VMemory_Model = etl::memory_model::MEMORY_MODEL_LARGE>

bool etl::queue_lockable_base< VMemory_Model >::empty_unlocked | ( |  | ) | const

inline

Is the queue empty? Unlocked.

## full_unlocked()

template<size_t VMemory_Model = etl::memory_model::MEMORY_MODEL_LARGE>

bool etl::queue_lockable_base< VMemory_Model >::full_unlocked | ( |  | ) | const

inline

Is the queue full? Unlocked.

## size_unlocked()

template<size_t VMemory_Model = etl::memory_model::MEMORY_MODEL_LARGE>

size_type etl::queue_lockable_base< VMemory_Model >::size_unlocked | ( |  | ) | const

inline

How many items in the queue? Unlocked.

The documentation for this class was generated from the following file:

- include/etl/queue_lockable.h